body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background: #20024a;
}

.container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1000px;
    height: 500px;
    display: flex;
    //overflow: hidden;
}

.container .box {
    position: relative;
    width: 250px;
    height: 500px;
    background: #ccc;
    transition: .5s;
}

.container .box:hover {
    transform: scale(1.05);
    z-index: 1;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 1); // NOTE:  box-shadow 연구할 것.
}

.container .box .thumb {
    position: absolute;
    width: 100%;
    height: 250px;
    overflow: hidden;
}

.container .box:nth-child(odd) .thumb {
    bottom: 0;
    left: 0;
}

.container .box .thumb img {
    width: 100%;
    height: 100%;
}

.container .box .details {
    position: absolute;
    width: 100%;
    height: 250px;
    overflow: hidden;
    background: #262626;
}

.container .box:nth-child(even) .details {
    bottom: 0;
    left: 0;
}

.container .box:nth-child(1) .details {
    background: #8553cb;
}

.container .box:nth-child(2) .details {
    background: #fe8f01;
}

.container .box:nth-child(3) .details {
    background: #79d400;
}

.container .box:nth-child(4) .details {
    background: #ff3b34;
}

.container .box .details .content {
    position: absolute;
    top: calc(50% + 16px);
    transform: translateY(-50%);
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    transition-duration: .5s;
}

.container .box:hover .details .content {
    top: calc(50% - 16px);
}

.container .box .details .content .fa {
    font-size: 80px;
    color: #fff;
}

.container .box .details .content h3 {
    margin: 0;
    padding: 10px 0;
    color: #fff;
}


.container .box .details .content a {
    display: inline-block;
    padding: 5px 20px;
    color: #fff;
    border: 2px solid #fff; 
    text-decoration: none;
    transition-duration: .5s;
    border-radius: 20px;
    transform: scale(0)
}

.container .box:hover .details .content a {
    transform: scale(1)
}

.container .box .details .content a:hover {
    background: #fff;
    color: #262626;
}

@media (max-width: 1000px) {
    .container {
        width: 100%;
        height: auto;
        padding: 20px;
        box-sizing: border-box;
    }

    .container .box {
        height: 250px;
        //transition: .5s;
    }

    .container .box .thumb {
        display: none;
    }
}

@media (max-width: 768px) {
    .container{
        display: initial;
        //transition-duration: .5s;
    }
    .container .box{
        width: 50%;
        height: 250px;
        float: left;
        //display: flex;
        //top: 0;
        //overflow: scroll;
        //transition: .5s;
    }
}

@media (max-width: 480px) {
    .container{
        top: 0;
        left: 0;
        transform: translate(0);
    }
    .container .box{
        width: 100%;
        height: 250px;
        float: none;
        //display: flex;
        //top: 0;
        //overflow: scroll;
        //transition: .5s;
    }
}







